/*
 * shell/nfs2args.h
 *
 * Type declarations for NFSv2 argument parsing
 *
 * Copyright (C) 1996, Olaf Kirch <okir@monad.swb.de>
 */

#ifndef SHELL_NFS_H
#define SHELL_NFS_H

#include <shell/args.h>

#define tcl_nfs_null_type	tcl_void_type
#define tcl_nfs_nullres_type	tcl_void_type

TCL_DECLARE_TYPE(extern, nfs_stat);
TCL_DECLARE_TYPE(extern, nfs_fh);
TCL_DECLARE_TYPE(extern, nfs_attrstat);
TCL_DECLARE_TYPE(extern, nfs_sattrargs);
TCL_DECLARE_TYPE(extern, nfs_diropargs);
TCL_DECLARE_TYPE(extern, nfs_diropres);
TCL_DECLARE_TYPE(extern, nfs_readlinkres);
TCL_DECLARE_TYPE(extern, nfs_readargs);
TCL_DECLARE_TYPE(extern, nfs_readres);
TCL_DECLARE_TYPE(extern, nfs_writeargs);
TCL_DECLARE_TYPE(extern, nfs_createargs);
TCL_DECLARE_TYPE(extern, nfs_renameargs);
TCL_DECLARE_TYPE(extern, nfs_linkargs);
TCL_DECLARE_TYPE(extern, nfs_symlinkargs);
TCL_DECLARE_TYPE(extern, nfs_readdirargs);
TCL_DECLARE_TYPE(extern, nfs_readdirres);
TCL_DECLARE_TYPE(extern, nfs_statfsres);

extern void	TCL_PROT_REGISTER(nfs)(Tcl_Interp *, struct rpcprog *);

#endif /* SHELL_NFS_H */
