/*
 * xdr/mount_prot.h
 *
 * RPC protocol declarations for the MOUNT protocol
 *
 * Copyright (C) 1996, Olaf Kirch <okir@monad.swb.de>
 */

#define MOUNT_PROTOCOL	\
RPC_PROT_FUNC(NUL,	null,		mnt_null,	mnt_nullres)	\
RPC_PROT_FUNC(MNT,	mount,		mnt_dirpath,	mnt_fhstatus)	\
RPC_PROT_FUNC(DUMP,	dump,		mnt_null,	mnt_mountlist)	\
RPC_PROT_FUNC(UMNT,	umount,		mnt_dirpath,	mnt_nullres)	\
RPC_PROT_FUNC(UMNTALL,	umntall,	mnt_null,	mnt_nullres)	\
RPC_PROT_FUNC(EXPORT,	export,		mnt_null,	mnt_exportlist)

