/*
 * xdr/nlm_prot.h
 *
 * RPC protocol declarations for the NLM protocol
 *
 * Copyright (C) 1996, Olaf Kirch <okir@monad.swb.de>
 */

#define NLM_PROTOCOL	\
RPC_PROT_FUNC(NUL,	null,		nlm_null,	nlm_nullres)	\
RPC_PROT_FUNC(TEST,	test,		nlm_testargs,	nlm_testres)	\
RPC_PROT_FUNC(LOCK,	lock,		nlm_lockargs,	nlm_res)	\
RPC_PROT_FUNC(CANCEL,	cancel,		nlm_cancargs,	nlm_res)	\
RPC_PROT_FUNC(UNLOCK,	unlock,		nlm_unlockargs,	nlm_res)	\
RPC_PROT_FUNC(GRANTED,	granted,	nlm_testargs,	nlm_res)	\
RPC_PROT_FUNC(TEST_MSG,	test_msg,	nlm_testargs,	nlm_nullres)	\
RPC_PROT_FUNC(LOCK_MSG,	lock_msg,	nlm_lockargs,	nlm_nullres)	\
RPC_PROT_FUNC(CANCEL_MSG,cancel_msg,	nlm_cancargs,	nlm_nullres)	\
RPC_PROT_FUNC(UNLOCK_MSG,unlock_msg,	nlm_unlockargs,	nlm_nullres)	\
RPC_PROT_FUNC(GRANTED_MSG,granted_msg,	nlm_testargs,	nlm_nullres)	\
RPC_PROT_FUNC(TEST_RES,	test_res,	nlm_testres,	nlm_nullres)	\
RPC_PROT_FUNC(LOCK_RES,	lock_res,	nlm_res,	nlm_nullres)	\
RPC_PROT_FUNC(CANCEL_RES,cancel_res,	nlm_res,	nlm_nullres)	\
RPC_PROT_FUNC(UNLOCK_RES,unlock_res,	nlm_res,	nlm_nullres)	\
RPC_PROT_FUNC(GRANTED_RES,granted_res,	nlm_res,	nlm_nullres)
