/*
 * nfshell.c
 *
 * main for nfshell
 *
 * Copyright (C) 1996, Olaf Kirch <okir@monad.swb.de>
 */

#include <tcl.h>
#include <shell/rpc.h>

static int	app_init(Tcl_Interp *interp);

int
main(int argc, char **argv)
{
	Tcl_Main(argc, argv, app_init);
	return 0;
}

static int
app_init(Tcl_Interp *interp)
{
	if (Tcl_Init(interp) != TCL_OK)
		return TCL_ERROR;

	tcl_rpc_register(interp);
	return TCL_OK;
}
