/*
 * input.c	Read from stdin using biod's select loop.
 *
 * This is a ruin. nfsh won't support tty input for a while, I guess.
 *
 * Copyright (C) 1996, Olaf Kirch <okir@monad.swb.de>
 */

static Tcl_ChannelType		inType = {
	"biod",
	nfsh_block_mode,
	nfsh_buffer_size,
	nfsh_close,
	nfsh_input,
	nfsh_output,
	NULL,			/* can't seek */
};

struct nfsh_channel {
	int			infd;
	int			outfd;
};

/*
 * Set blocking mode - not implemented.
 */
static int
nfsh_block_mode(ClientData id, Tcl_File ifp, Tcl_File ofp, int mode)
{
	return -EINVAL;
}

/*
 * Get preferred buffer size
 */
static int
nfh_buffer_size(ClientData id)
{
	return 1024;
}

/*
 * Close the channel
 */
static int
nfsh_close(ClientData id, Tcl_File ifp, Tcl_File ofp)
{
	struct nfsh_channel	*ch = (struct nfsh_channel *) id;

	biod_unregister_fd(ch->infd);
	close(ch->infd);
	close(ch->outfd);
}
