
##################################################################
# Mount a file or directory from remote
##################################################################
proc nfs_mount {host path} {

	set mnt [rpc create $host mount 1]

	if [catch {set result [$mnt mount $path]}] {
		$mnt delete
		return -code error "Couldn't mount $host:$path: $result";
	}

	puts "mnt $host:$path returned $result";
	$mnt delete
	return $result
}

##################################################################
# Unmount file or directory
##################################################################
proc nfs_umount {host path} {
}

# set fh [nfs_mount 127.0.0.1 /tmp/nfsbench]

# set nfs [rpc create 127.0.0.1 nfs 2]
# puts [$nfs port]
# puts [$nfs null]
# puts [$nfs getattr $fh]
