/*
 * macros.h
 *
 * Couple of macros used everywhere
 */

#ifndef MACROS_H
#define MACROS_H

#define STRING(sname)		# sname
#define CONCAT2(a, b)		a##b
#define CONCAT3(a, b, c)	a##b##c

/*
 * Member offset within struct
 */
#define memoffset(sname, memb)	((unsigned int)(&((sname *) 0)->memb))

/*
 * Number of array elements
 */
#define numberof(arrname)	(sizeof(arrname) / sizeof((arrname)[0]))

#endif /* MACROS_H */
