/*
 * shell/mount.h
 *
 * Type declarations for MOUNTv1 argument parsing
 *
 * Copyright (C) 1996, Olaf Kirch <okir@monad.swb.de>
 */

#ifndef SHELL_MOUNT_H
#define SHELL_MOUNT_H

#include <shell/args.h>

TCL_DECLARE_TYPE(extern, mnt_dirpath);
TCL_DECLARE_TYPE(extern, mnt_fhstatus);
TCL_DECLARE_TYPE(extern, mnt_mountlist);
TCL_DECLARE_TYPE(extern, mnt_exportlist);

extern void	TCL_PROT_REGISTER(mnt)(Tcl_Interp *, struct rpcprog *);

#endif /* SHELL_MOUNT_H */

