/*
 * shell/nlm.h
 *
 * Type declarations for NLMv2 argument parsing
 *
 * Copyright (C) 1996, Olaf Kirch <okir@monad.swb.de>
 */

#ifndef SHELL_NLM_H
#define SHELL_NLM_H

#include <xdr/nlm.h>
#include <shell/args.h>

#define tcl_nlm_null_type	tcl_void_type
#define tcl_nlm_nullres_type	tcl_void_type

TCL_DECLARE_TYPE(extern, nlm_stat);
TCL_DECLARE_TYPE(extern, nlm_testargs);
TCL_DECLARE_TYPE(extern, nlm_lockargs);
TCL_DECLARE_TYPE(extern, nlm_cancargs);
TCL_DECLARE_TYPE(extern, nlm_unlockargs);
TCL_DECLARE_TYPE(extern, nlm_res);
TCL_DECLARE_TYPE(extern, nlm_testres);

extern void		TCL_PROT_REGISTER(nlm)(Tcl_Interp *, struct rpcprog *);

extern char		nlm_hostname[];
extern u32		nlm_pid;
extern u32		nlm_cookie;
extern u32		nlm_state;

#endif /* SHELL_NLM_H */
