/*
 * rpc/svcnull.c
 *
 * RPC NULL service to test RPC service functions
 *
 * Copyright (C) 1996, Olaf Kirch <okir@monad.swb.de>
 */

#include <nfshell.h>
#include <macros.h>

static u32 *
svc_nul_null(struct svcreq *req, u32 *msg, void *data)
{
	/* nothing */
	return req->rq_msg;
}

svcdspproc_t		svc_nul_dispatch[] = {
	svc_nul_null
};
