/*
 * shell/nfs2proc.c
 *
 * TCL binding for NFSv2
 *
 * Copyright (C) 1996, Olaf Kirch <okir@monad.swb.de>
 */

#include <nfshell.h>
#include <xdr/nfs.h>
#include <xdr/nfs_prot.h>
#include <shell/nfs.h>

#define RPC_PROTOCOL		NFS_PROTOCOL
#define RPC_PROT_NAME		nfs
#define RPC_PROT_CAPNAME	NFS
#define TCL_NFS_PRIVATE		/* no private methods */

#include <shell/procs.h>
